<div id="product" v-if="product" class="wrapper">
  <div class="bg-product-grey main-home">
    <div class="content-width-960 mx-auto pt-lg-8">
      <v-row no-gutters>
        <v-col cols="12" sm="6" class="px-3" id="scroll-select">
          <div class="main-img">
            <nuxt-img
              :src="imgThumbnail()"
              v-if="imgThumbnail() && isClickImage === 'carousel-left'"
              format="webp"
              sizes="sm:296px lg:453px"
              preload
              loading="lazy"
            />
            <nuxt-img
              :src="parseImageThumb"
              alt="2"
              v-if="parseImageThumb && isClickImage === 'carousel-right'"
              format="webp"
              sizes="sm:296px lg:452px"
              preload
              loading="lazy"
            />
          </div>
          <div
            v-if="listImage && listImage.length"
            class="mt-4 carousel-product carousel"
            :class="listImage && listImage.length < 4 ? 'center-image' : ''"
          >
            <client-only>
              <!-- <VueSlickCarousel
                :arrows="true"
                v-bind="settings"
                :touchMove="false"
              >
                <div
                  v-for="(slide, i) in listImage"
                  :key="i"
                  ref="carouselClick"
                  @click="changedCarousel(i, 'btnCarousel')"
                  class="c-pointer"
                  :class="`carousel-item-left${i}`"
                  style="width: 67px; height: 67px"
                >
                  <div>
                    <img
                      :src="`${api}/${slide.imageUrl}`"
                      alt=""
                      format="webp"
                      width="100%"
                      height="100%"
                      preload
                      :class="idxCarousel === i ? 'carousel--active' : ''"
                      lazy="loading"
                    />
                  </div>
                </div>
                <template #prevArrow="arrowOption">
                  <div
                    class="custom-arrow prev-arrow prev-arrow-icon pos-relative"
                  >
                    <div>
                      <v-icon
                        size="40px"
                        color="#898989"
                        v-show="isLazyLoad"
                        @click="clickPrevCarousel()"
                      >
                        mdi-chevron-left
                      </v-icon>
                    </div>
                  </div>
                </template>
                <template #nextArrow="arrowOption">
                  <div
                    class="custom-arrow next-arrow next-arrow-icon pos-relative"
                  >
                    <div>
                      <v-icon
                        size="40px"
                        color="#898989"
                        v-show="isLazyLoad"
                        @click="clickNextCarousel()"
                      >
                        mdi-chevron-right
                      </v-icon>
                    </div>
                  </div>
                </template>
              </VueSlickCarousel> -->
              <VueSlickCarousel v-bind="carouselSubItem">
                <div
                  v-for="(slide, i) in listImage"
                  :key="i"
                  ref="carouselClick"
                  @click="changedCarousel(i, 'btnCarousel')"
                  class="c-pointer carousel-sub-item"
                  :class="`carousel-item-left${i}`"
                >
                  <img
                    :src="`${api}/${slide.imageUrl}`"
                    alt=""
                    format="webp"
                    preload
                    :class="idxCarousel === i ? 'carousel--active' : ''"
                    lazy="loading"
                    draggable="false"
                  />
                </div>
                <template #prevArrow="arrowOption">
                  <div
                    class="custom-arrow prev-arrow prev-arrow-icon pos-relative"
                  >
                    <div>
                      <v-icon
                        size="40px"
                        color="#898989"
                        v-show="isLazyLoad"
                        @click="clickPrevCarousel()"
                      >
                        mdi-chevron-left
                      </v-icon>
                    </div>
                  </div>
                </template>
                <template #nextArrow="arrowOption">
                  <div
                    class="custom-arrow next-arrow next-arrow-icon pos-relative"
                  >
                    <div>
                      <v-icon
                        size="40px"
                        color="#898989"
                        v-show="isLazyLoad"
                        @click="clickNextCarousel()"
                      >
                        mdi-chevron-right
                      </v-icon>
                    </div>
                  </div>
                </template>
              </VueSlickCarousel>
            </client-only>
          </div>
        </v-col>
        <v-col cols="12" sm="6" class="px-3">
          <div class="pt-6 pt-sm-0">
            <!-- style="font-size: clamp(22px, 1.5vw, 32px); line-height: 150%" -->
            <h2 class="mb-0 fsize-product_title">{{product.productName}}</h2>
            <div class="mt-3" v-if="reviews.length">
              <div
                class="d-flex align-center fsize-13 font-weight-medium"
                id="rating-product"
              >
                <span> {{$language.rate}} </span>
                <v-rating
                  style="line-height: 19px; margin-bottom: 1px"
                  readonly
                  dense
                  size="18"
                  :value="calcReview"
                  half-increments
                  background-color="orange lighten-3"
                  color="orange"
                  class="px-1"
                >
                </v-rating>
                <span> ({{reviews.length}}) </span>
              </div>
            </div>
            <div class="mt-1" v-if="templateType === '2'">
              <div class="d-flex align-start template-1">
                <img src="~/assets/images/cart.svg" alt="" />
                <span class="fsize-14 ml-1">
                  2.1K Sold
                </span>
              </div>
              <div class="d-flex align-start template-1">
                <img src="~/assets/images/like.svg" alt="" />
                <span class="fsize-14 ml-1">
                  It's been recommended by 18.8K people on Facebook, TikTok,
                  Twitter and Instagram
                </span>
              </div>
              <div class="mt-1 mb-2 d-flex align-center template-1" >
                <span style="line-height: 18px;" class="mr-1">
                  <img src="~/assets/images/eye.svg" alt="">
                </span>
                <span class="font-weight-bold">{{peopleViewingView}}  <span class="font-weight-medium">{{$language.peopleViewing}}</span></span>
              </div>
            </div>
            <div
              class="mb-3 d-flex align-center"
              :class="reviews.length ? 'mt-1' : ' mt-3'"
            >
              <h2 class="mb-0 fsize-price">
                <p
                  class="mb-0 contentGreenPrice"
                  style="font-size: 24px"
                  v-if="priceVariant !== priceProduct"
                >
                  <span
                    class="text-decoration-line-through mr-1 fweight-400 original-price"
                    >${{priceProduct && $utils.formatCurrency(priceProduct)}}
                  </span>
                  ${{priceVariant && $utils.formatCurrency(priceVariant)}}
                </p>
                <p class="mb-0 fsize-price" v-else>
                  ${{priceVariant && $utils.formatCurrency(priceVariant)}}
                </p>
              </h2>
              <div
                class="ml-2 pa-1"
                style="background-color: #ff4343; border-radius: 6px"
                v-if="(100 - (priceVariant * 100 / priceProduct > 0) || priceProduct !== priceVariant) && saveButton"
              >
                <span class="font-weight-bold white--text">
                  Save {{ 100 - (parseInt(priceVariant * 100 / priceProduct))}}%
                </span>
              </div>
            </div>
            <v-divider></v-divider>
            <div
              class="my-3 d-flex align-center"
              v-if="timer && priceSale !== priceProduct"
            >
              <v-icon :color="colorVariant"> mdi-timer-outline </v-icon>
              <p class="mb-0 bodyBold contentSemanticRed mx-2">{{timer}}</p>
              <p class="mb-0 contentSemanticRed fsize-16" style="opacity: 0.8">
                left to buy
              </p>
            </div>
            <!-- <p class="litmit-announce">
                    <span class="limit">Limited stock!</span
                    ><span class="number">{{peopleViewing}}</span> people are
                    viewing this and
                    <span class="number">{{purchased}}</span> purchased it.
                  </p> -->
            <div class="my-4" v-if="templateType === '1'">
              <div class="mb-4">
                <p class="mb-0 font-weight-medium" style="font-size: 24px">
                  {{$language.hurry}}
                  <span class="color-red-variant">{{leftInStock}}</span>
                  {{$language.leftInStock}}
                </p>
              </div>
              <div class="mb-4 font-weight-medium" style="font-style: italic">
                <span class="color-red-variant font-weight-bold fsize-18"
                  >98%</span
                >
                {{$language.customerBuy}}
                <span class="color-red-variant font-weight-bold fsize-18"
                  >2-4</span
                >
                {{$language.itemToUse}}
              </div>
              <div class="mb-4 d-flex align-center" style="font-size: 15px">
                <span style="line-height: 18px;" class="mr-1">
                  <img src="~/assets/images/eye.svg" alt="">
                </span>
                <span class="font-weight-bold mr-1">{{peopleViewingView}}</span>
           <span>{{$language.peopleViewing}}</span>
              </div>
              <div>
                <p class="mb-0 color-sale-ending">
                  {{$language.saleEndin}}
                  <span
                    class="color-red-variant font-weight-bold"
                    v-if="percentEndIn > 20"
                    >{{minutes}}:{{second}}</span
                  >
                </p>
                <div
                  class="w-full rounded-lg mt-2"
                  style="background-color: #0108271a; height: 10px"
                >
                  <div
                    class="rounded-lg"
                    :style="`width: ${percentEndIn}%`"
                    style="
                      background-color: #01082733;
                      height: 10px;
                      transition: all 0.7s ease-out;
                    "
                  ></div>
                </div>
                <p
                  class="my-3 color-red-variant font-weight-bold"
                  v-if="percentEndIn <= 20"
                >
                  {{$language.hurryUpEndSoon}}
                </p>
              </div>
            </div>
            <div class="my-4 d-flex align-center" v-else>
              <p class="mb-0 font-weight-bold">Last Minutes</p>
              <span class="ml-2">
                - Sale end in
                <span :style="`color: ${colorVariant}`" class="font-weight-bold"
                  >{{minutes}}:{{second}}</span
                >
              </span>
            </div>
            <div class="mt-1">
              <div v-if="listVariant.length">
                <div>
                  <div
                    v-for="(variant, i) in product.listVariantOptionId"
                    :key="i"
                    v-if="product && product.listVariantOptionId && product.listVariantOptionId.length"
                    class="mt-2"
                  >
                    <div class="">
                      <p class="mb-2 fsize-15 font font-weight-bold">
                        {{variant.name}}
                      </p>
                      <div
                        class="d-flex flex-wrap align-center"
                        style="gap: 8px"
                      >
                        <div
                          style="padding: 10px"
                          class="c-pointer rounded"
                          v-for="(valueVariant,idx) in variant.values"
                          :key="idx"
                          :class="variant.selected === idx ? 'bg-variant-active' : 'border-variant-inactive'"
                          :style="`${variant.selected === idx && colorVariant ? `background-color: ${colorVariant}` : '#fff' }`"
                          @click="changedCarouselRight(variant._id, idx, valueVariant)"
                        >
                          <!-- v-if="onShowVariant(valueVariant)" -->
                          <p class="mb-0" style="font-size: 13px">
                            {{valueVariant}}
                          </p>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <!-- <div class="mt-4" v-if="isCustomShowDescription === 'short'">
                <div id="imageFluid-product-description-short custom-font-text">
                  <div v-html="product.description"></div>
                </div>
              </div> -->
              <div class="my-4 d-md-flex align-center justify-start input-fr">
                <div
                  :class="listVariant.length === 0 ? 'mt-2' : ''"
                  class="d-flex align-center justify-space-betwee quantity-input"
                >
                  <button
                    class="px-2 py-1"
                    :disabled="payload.quantity < 2"
                    @click="onDecrease()"
                  >
                    <v-icon color="#000000" size="16"> mdi-minus </v-icon>
                  </button>
                  <div id="hideBottomInput">
                    <input
                      dense
                      outlined
                      v-model.number="payload.quantity"
                      oninput="this.value = 
                      !!this.value && Math.abs(this.value) >= 0 ? Math.abs(this.value) : null"
                      class="quanity-number"
                    />
                  </div>
                  <button class="px-2 py-1" @click="onIncrease()">
                    <v-icon color="#000000" size="16"> mdi-plus </v-icon>
                  </button>
                </div>
                <div
                  v-if="lazyloading || findVariant.isSellable"
                  class="d-md-flex align-center justify-start input-fr"
                  style="width: 100%"
                >
                  <button
                    class="elevation-0"
                    :class="loading || loadingBuy? 'cart-btn-disabled' : 'cart-btn'"
                    :disabled="loading || loadingBuy"
                    @click="onAddToCart()"
                  >
                    <v-progress-circular
                      v-if="loading"
                      size="18"
                      indeterminate
                      color="#fff"
                    >
                    </v-progress-circular>
                    <template v-else class="d-flex align-center">
                      <div class="icon">
                        <svg
                          style="width: 100%; height: 100%"
                          xmlns="http://www.w3.org/2000/svg"
                          viewBox="0 0 14 14"
                        >
                          <g
                            fill="none"
                            stroke="#fff"
                            stroke-linecap="round"
                            stroke-linejoin="round"
                          >
                            <circle cx="3.6" cy="12.88" r=".62" />
                            <circle cx="12.27" cy="12.88" r=".62" />
                            <path
                              d="m2.85 3.6h10.65l-1.23 6.19h-8.67l-1.24-9.29h-1.86"
                            />
                          </g>
                        </svg>
                      </div>
                      <p class="mb-0 font-weight-bold">
                        {{$language.addToCart}}
                      </p>
                    </template>
                  </button>
                  <button
                    class="elevation-0"
                    :class="loading || loadingBuy ? 'buy-btn-disabled' : 'buy-btn'"
                    :disabled="loading || loadingBuy"
                    @click="onBuyItNow()"
                  >
                    <v-progress-circular
                      v-if="loadingBuy"
                      size="18"
                      indeterminate
                      color="#fff"
                    >
                    </v-progress-circular>
                    <template v-else class="d-flex align-center">
                      <div class="icon">
                        <svg
                          style="width: 100%; height: 100%"
                          xmlns="http://www.w3.org/2000/svg"
                          viewBox="0 0 14 14"
                        >
                          <rect
                            fill="none"
                            height="9.1"
                            rx=".65"
                            stroke="#fff"
                            stroke-miterlimit="10"
                            width="13"
                            x=".5"
                            y="2.45"
                          />
                          <circle cx="10.6" cy="8.64" fill="#fff" r=".98" />
                          <circle cx="7.98" cy="8.64" fill="#fff" r=".98" />
                          <path
                            d="m.83 5.37h12.34"
                            fill="none"
                            stroke="#fff"
                            stroke-miterlimit="10"
                          />
                        </svg>
                      </div>
                      <p class="mb-0 font-weight-bold">
                        {{$language.buyItNow}}
                      </p>
                    </template>
                  </button>
                </div>
                <div v-else style="width: 100%">
                  <button class="elevation-0 cart-btn-disabled-soldout">
                    <template class="d-flex align-center">
                      <div class="icon">
                        <svg
                          style="width: 100%; height: 100%"
                          xmlns="http://www.w3.org/2000/svg"
                          viewBox="0 0 14 14"
                        >
                          <g
                            fill="none"
                            stroke="#fff"
                            stroke-linecap="round"
                            stroke-linejoin="round"
                          >
                            <circle cx="3.6" cy="12.88" r=".62" />
                            <circle cx="12.27" cy="12.88" r=".62" />
                            <path
                              d="m2.85 3.6h10.65l-1.23 6.19h-8.67l-1.24-9.29h-1.86"
                            />
                          </g>
                        </svg>
                      </div>
                      <p class="mb-0 ml-3">{{$language.soldOut}}</p>
                    </template>
                  </button>
                </div>
              </div>
              <div v-show="lazyloading || findVariant.isSellable">
                <div v-if="enablePaypal" class="mt-4">
                  <v-divider class="mb-4"></v-divider>
                  <div style="position: relative; z-index: 2">
                    <div style="width: 100%" class="d-flex justify-center">
                      <div class="text-title-paypal-product">
                        <p class="mb-0 colorGreyLighter fsize-14">
                          {{$language.orCheckoutWith}}
                        </p>
                      </div>
                    </div>
                  </div>
                  <div v-show="loadingPaypal" style="margin-bottom: 6px">
                    <v-btn
                      color="#ffc439"
                      block
                      height="55"
                      class="rounded elevation-0"
                    >
                      <v-progress-circular
                        :size="15"
                        :width="2"
                        indeterminate
                        color="#34495e"
                      >
                      </v-progress-circular>
                    </v-btn>
                  </div>
                  <div
                    ref="paypal"
                    :style="!loadingPaypal ? 'visibility: visible;  position: relative; z-index: 5' : 'visibility: hidden;'"
                  ></div>
                  <p class="mb-0 contentBlack subTitle1">
                    <span class="lightSemanticError">*{{$language.note}}</span>:
                    {{$language.noteDesc}}
                  </p>
                </div>
              </div>
              <div>
                <div>
                  <v-divider class="my-3"></v-divider>
                  <div>
                    <div v-if="combo && combo.listProductId">
                      <p class="fsize-20 mb-4">
                        {{$language.comboBoughtTogether}}
                      </p>
                      <div class="d-flex flex-wrap align-center">
                        <div
                          v-for="(comboProduct, i) in combo.listProductId"
                          :key="comboProduct._id"
                        >
                          <div class="product-frequently-bought-together mr-2">
                            <nuxt-img
                              preload
                              :src="convertImage(comboProduct)"
                              alt="img combo product"
                              data-priority="false"
                              onload="this.dataset.loaded=true;"
                              onerror="this.dataset.error=true;"
                              data-loaded="true"
                              sizes="100%"
                              format="webp"
                              loading="lazy"
                            />
                            <v-icon
                              color="#ffffff"
                              size="18"
                              class="product-frequently-quickview__icon"
                            >
                              mdi-eye
                            </v-icon>
                          </div>
                        </div>
                      </div>
                      <div class="my-5">
                        <div
                          class="d-flex justify-space-between"
                          v-for="(comboProduct, i) in combo.listProductId"
                          :key="comboProduct._id"
                        >
                          <div class="width-variant">
                            <div
                              class="d-flex align-center checkbox-product"
                              id="hideBottomInput"
                            >
                              <v-checkbox
                                v-model="listProductIds"
                                :value="comboProduct._id"
                                dense
                                outlined
                                class="mr-0"
                              >
                              </v-checkbox>
                              <div>
                                <p
                                  class="mb-0 subTitle2Semibold mt-2"
                                  v-if="comboProduct.name.length > 50"
                                >
                                  {{comboProduct.name.slice(0,50)}}...
                                </p>
                                <p class="mb-0 subTitle2Semibold mt-2" v-else>
                                  {{comboProduct.name}}
                                </p>
                              </div>
                            </div>
                            <div class="mt-2 mr-2 ml-7">
                              <p class="mb-0 fsize-13 colorGreyBold">
                                ${{calcPriceProductCombo(comboProduct) &&
                                $utils.formatCurrency(calcPriceProductCombo(comboProduct))}}
                              </p>
                            </div>
                          </div>
                          <div
                            id="hideBottomInput"
                            v-if="comboProduct.variant.length"
                            class="height-select width-variant-select"
                          >
                            <v-select
                              dense
                              outlined
                              v-model="comboProduct.variantId"
                              :items="comboProduct.variant"
                              item-text="name"
                              item-value="_id"
                            ></v-select>
                          </div>
                        </div>
                      </div>
                      <v-divider class="mt-4"></v-divider>
                      <v-divider></v-divider>
                    </div>
                    <div
                      v-if="product.relatedProduct && product.relatedProduct.length"
                      class="mt-4"
                    >
                      <p class="fsize-20 mb-4">
                        {{$language.frequentlyBoughtTogether}}
                      </p>
                      <div class="d-flex flex-wrap align-center">
                        <div
                          v-for="(relatedProduct, i) in product.relatedProduct"
                          :key="relatedProduct._id"
                        >
                          <div class="product-frequently-bought-together mr-2">
                            <nuxt-img
                              :src="convertImage(relatedProduct)"
                              alt="img relate product"
                              data-priority="false"
                              onload="this.dataset.loaded=true;"
                              onerror="this.dataset.error=true;"
                              data-loaded="true"
                              sizes="100%"
                              format="webp"
                              loading="lazy"
                              preload
                            />
                            <v-icon
                              color="#ffffff"
                              size="18"
                              class="product-frequently-quickview__icon"
                            >
                              mdi-eye
                            </v-icon>
                          </div>
                        </div>
                      </div>
                      <div class="my-5">
                        <div
                          class="d-flex justify-space-between"
                          v-for="(relatedProduct, i) in product.relatedProduct"
                          :key="relatedProduct._id"
                        >
                          <div class="width-variant">
                            <div
                              class="d-flex align-center checkbox-product"
                              id="hideBottomInput"
                            >
                              <v-checkbox
                                v-model="listRelatedProductIds"
                                :value="relatedProduct._id"
                                dense
                                outlined
                                class="mr-0"
                              >
                              </v-checkbox>
                              <div>
                                <p
                                  class="mb-0 subTitle2Semibold mt-2"
                                  v-if="relatedProduct.name.length > 50"
                                >
                                  {{relatedProduct.name.slice(0,50)}}...
                                </p>
                                <p class="mb-0 subTitle2Semibold mt-2" v-else>
                                  {{relatedProduct.name}}
                                </p>
                              </div>
                            </div>
                            <div class="mt-2 mr-2 ml-7">
                              <p class="mb-0 fsize-13 colorGreyBold">
                                ${{calcPriceRelatedProduct(relatedProduct)}}
                              </p>
                            </div>
                          </div>
                          <div
                            id="hideBottomInput"
                            v-if="relatedProduct.variant.length"
                            class="height-select width-variant-select"
                          >
                            <v-select
                              dense
                              outlined
                              v-model="relatedProduct.variantId"
                              :items="relatedProduct.variant"
                              item-text="name"
                              item-value="_id"
                            ></v-select>
                          </div>
                        </div>
                      </div>
                      <v-divider></v-divider>
                    </div>
                  </div>
                  <div class="checkout-img">
                    <img src="@/static/safe-checkout.png" />
                  </div>
                </div>
              </div>
              <div
                class="mt-4 pb-4"
                v-if="buyMore && buyMore.listBuyMore && buyMore.listBuyMore.length"
              >
                <p class="mb-0 font-weight-bold fsize-18">{{buyMore.text}}</p>
                <div
                  class="mt-2 white rounded-lg pa-2 d-flex align-center justify-space-between"
                  v-for="(upsale, i) in buyMore.listBuyMore"
                >
                  <p class="mb-0 text-content-main text-sm">
                    {{upsale.quantity}} {{$language.itemGet}}
                    {{upsale.discount}}%
                    <span class="text-uppercase">{{$language.off}}</span>
                  </p>
                  <v-btn
                    :color="colorVariant"
                    outlined
                    @click="onAddUpsale(upsale.quantity)"
                  >
                    <span class="text-sm text-capitalize">
                      {{$language.add}}
                    </span>
                  </v-btn>
                </div>
              </div>
            </div>
          </div>
        </v-col>
      </v-row>
    </div>
  </div>
  <div class="white">
    <div
      class="content-width-960 mx-auto px-3 px-sm-6 px-md-0 pt-6 pt-md-16 custom-font-text"
    >
      <!-- v-if="isCustomShowDescription === 'middle'" -->
      <div id="imageFluid-product-description">
        <v-row no-gutters>
          <v-col cols="12" sm="4">
            <h4 class="h4 font-weight-bold mb-6 mb-md-0">
              {{$language.description}}
            </h4>
          </v-col>
          <v-col cols="12" sm="8">
            <div id="imageFluid-product-description-short custom-font-text">
              <div v-html="product.description"></div>
            </div>
          </v-col>
        </v-row>
      </div>
      <v-row
        class="mt-16 pt-6 pb-0 mb-6 sm:px-8 px-3 card-review"
        v-if="reviews && reviews.length"
        no-gutters
      >
        <v-col cols="12" sm="4" class="mb-3 mb-sm-0">
          <!-- style="font-size: clamp(22px, 1.5vw, 26px); line-height: 150%" -->
          <p class="mb-0 fsize-24 font-weight-bold">{{$language.reviewOn}}</p>
        </v-col>
        <v-col cols="12" sm="8">
          <div>
            <div class="d-md-flex align-center justify-space-between">
              <div class="d-flex align-center" id="rating-product">
                <p class="mb-0 reviews-title font-weight-bold fsize-18">
                  <span
                    >{{reviews.length}} {{reviews.length && reviews.length > 1 ?
                    $language.review + 's' : $language.review }}</span
                  >
                </p>
                <v-rating
                  style="line-height: 19px; margin-bottom: 1px"
                  readonly
                  dense
                  size="18"
                  :value="calcReview"
                  half-increments
                  background-color="orange lighten-3"
                  color="orange"
                  class="ml-2 my-4 my-md-0"
                >
                </v-rating>
              </div>
              <v-btn
                color="#1b1b1b"
                class="d-flex align-center elevation-0 mt-2 mt-md-0"
                height="56"
                :block="isCheckScreenMobile"
                @click="openDialogWriteReview()"
              >
                <v-icon size="18" color="#fff"> mdi-pencil </v-icon>
                <span class="white--text text-none ml-2">
                  {{$language.writeYourReview}}
                </span>
              </v-btn>
            </div>
            <v-divider class="mt-4 mb-15"></v-divider>
            <div class="mb-6" v-for="(item, index) in reviews">
              <div class="d-md-flex">
                <div style="min-width: 151px;">
                  <div>
                    <p class="mb-2 fsize-16 font-weight-bold">
                      {{item.name && item.name.slice(0,5) + '****'}}
                    </p>
                    <div class="d-flex align-center">
                      <v-icon color="green" size="14" class="mr-1">
                        mdi-shield-check
                      </v-icon>
                      <span
                        style="
                          font-size: 0.875em;
                          font-weight: 400;
                          color: rgb(43, 168, 50);
                        "
                      >
                        {{$language.verifyBuyer}}
                      </span>
                    </div>
                  </div>
                  <div class="d-flex align-center mt-1" id="rating-product">
                    <v-rating
                      readonly
                      v-model="item.rating"
                      background-color="orange lighten-3"
                      size="18"
                      color="orange"
                    >
                    </v-rating>
                  </div>
                </div>

                <div>
                  <div class="mt-8 mb-4 mt-md-0 mb-md-4">
                    <p class="fsize-16 font-weight-bold mb-1">{{item.title}}</p>
                    <p class="mb-0" style="font-size: 14px; color: #667085">
                      {{item.content}}
                    </p>
                  </div>
                  <div
                    class="d-flex flex-wrap align-center mb-4" v-if="item && item.images && item.images.length"
                    style="gap: 8px"
                  >
                    <div
                      v-for="(item, index) in item.images"
                      :key="index"
                      class="image-review"
                    >
                      <nuxt-img
                        :src="convertImageReview(item)"
                        format="webp"
                        loading="lazy"
                        class="c-pointer"
                        @click="openDialogShowImg(item)"
                        style="width: 100%; height: 100%"
                      />
                    </div>
                  </div>
                </div>
              </div>
              <v-divider
                class="mt-11"
                background-color="#F1F5F9"
                v-if="index < reviews.length - 1"
                :key="index"
              ></v-divider>
            </div>
          </div>
        </v-col>
      </v-row>
    </div>
    <div
      class="mt-10 content-width-960 mx-auto"
      v-if="upsale && upsale.sellerDiscountId && upsale.sellerDiscountId.status"
    >
      <p class="mb-0 text-center">
        Get For More
        <span class="font-weight-bold">
          {{upsale.sellerDiscountId.getForMore}}!
        </span>
      </p>
      <p class="mb-0 py-1 text-center" style="background-color: #dff3f2">
        Offer expires in:
        <span class="font-weight-bold" style="color: #185653">
          {{minutesCarousel}}:{{secondCarousel}}
        </span>
      </p>
      <div class="mt-3">
        <div style="height: 380px">
          <VueSlickCarousel v-bind="settings">
            <div
              class="carousel-card pb-3 fheight pos-relative px-2"
              v-for="(store, i) in upsale.listStoreId"
              :key="i"
            >
              <a
                :href="`${store.domain}`"
                class="text-decoration-none"
                target="_blank"
              >
                <div>
                  <nuxt-img
                    :src="convertImageCarousel(store.productSellerId.listImageId[0])"
                    alt=""
                    width="100%"
                    height="232px"
                    format="webp"
                    loading="lazy"
                    v-if="store && store.productSellerId && store.productSellerId.listImageId[0]"
                  />
                </div>
                <div class="pa-4 height-carousel-text">
                  <div>
                    <p class="mb-0 fsize-14 black--text">
                      {{store && store.productSellerId
                      &&store.productSellerId.productName &&
                      store.productSellerId.productName.length > 30 ?
                      store.productSellerId.productName.slice(0,30) :
                      store.productSellerId.productName}}...
                    </p>
                  </div>
                </div>
                <div class="d-flex align-center px-4">
                  <v-icon color="orange" size="14" class="mr-1">
                    mdi-star
                  </v-icon>
                  <v-icon color="orange" size="14" class="mr-1">
                    mdi-star
                  </v-icon>
                  <v-icon color="orange" size="14" class="mr-1">
                    mdi-star
                  </v-icon>
                  <v-icon color="orange" size="14" class="mr-1">
                    mdi-star
                  </v-icon>
                  <v-icon color="orange" size="14" class="mr-1">
                    mdi-star
                  </v-icon>
                </div>
                <div class="mt-1 d-flex align-center px-4">
                  <p class="mb-0 fsize-20 black--text">
                    ${{store && store.productSellerId &&
                    store.productSellerId.listVariantSellerId[0] &&
                    store.productSellerId.listVariantSellerId[0].price}}
                  </p>
                  <p
                    class="mb-0 fsize-14 ml-1 mt-1-5 text-decoration-line-through color-green font-weight-medium"
                  >
                    ${{store && store.productSellerId &&
                    store.productSellerId.listVariantSellerId[0] &&
                    store.productSellerId.listVariantSellerId[0].comparePrice}}
                  </p>
                </div>
                <div class="mt-2 px-4">
                  <v-btn color="#FF4342" class="rounded elevation-0" block>
                    <p class="mb-0 white--text text-capitalize">
                      Get {{upsale.sellerDiscountId.button}} OFF
                    </p>
                  </v-btn>
                </div>
              </a>
            </div>

            <template #prevArrow="arrowOption">
              <div class="custom-arrow prev-arrow pos-relative">
                <div style="position: absolute; top: 0; left: 0">
                  <v-icon size="40px" color="#bdc3c7">
                    mdi-chevron-left
                  </v-icon>
                </div>
              </div>
            </template>
            <template #nextArrow="arrowOption">
              <div class="custom-arrow next-arrow pos-relative">
                <div style="position: absolute; top: 0; left: 0">
                  <v-icon size="40px" color="#bdc3c7">
                    mdi-chevron-right
                  </v-icon>
                </div>
              </div>
            </template>
          </VueSlickCarousel>
          <VueSlickCarousel v-bind="settings">
            <div
              class="carousel-card pb-3 fheight pos-relative mx-3"
              v-for="(store, i) in upsale.listStoreId"
              :key="i"
            >
              <a
                :href="`${store.domain}`"
                class="text-decoration-none"
                target="_blank"
              >
                <div>
                  <nuxt-img
                    :src="convertImageCarousel(store.productSellerId.listImageId[0])"
                    alt="img product"
                    width="100%"
                    height="232px"
                    format="webp"
                    loading="lazy"
                    v-if="store && store.productSellerId && store.productSellerId.listImageId[0]"
                  />
                </div>
                <div class="pa-4 height-carousel-text">
                  <div>
                    <p class="mb-0 fsize-14 black--text">
                      {{store && store.productSellerId
                      &&store.productSellerId.productName &&
                      store.productSellerId.productName.length > 30 ?
                      store.productSellerId.productName.slice(0,30) :
                      store.productSellerId.productName}}...
                    </p>
                  </div>
                </div>
                <div class="d-flex align-center px-4">
                  <v-icon color="orange" siz`e="14" class="mr-1`">
                    ` mdi-star
                  </v-icon>
                  <v-icon color="orange" size="14" class="mr-1">
                    mdi-star
                  </v-icon>
                  <v-icon color="orange" size="14" class="mr-1">
                    mdi-star
                  </v-icon>
                  <v-icon color="orange" size="14" class="mr-1">
                    mdi-star
                  </v-icon>
                  <v-icon color="orange" size="14" class="mr-1">
                    mdi-star
                  </v-icon>
                </div>
                <div class="mt-1 d-flex align-center px-4">
                  <p class="mb-0 fsize-20 black--text">
                    ${{store && store.productSellerId &&
                    store.productSellerId.listVariantSellerId[0] &&
                    store.productSellerId.listVariantSellerId[0].price}}
                  </p>
                  <p
                    class="mb-0 fsize-14 ml-1 mt-1-5 text-decoration-line-through color-green font-weight-medium"
                  >
                    ${{store && store.productSellerId &&
                    store.productSellerId.listVariantSellerId[0] &&
                    store.productSellerId.listVariantSellerId[0].comparePrice}}
                  </p>
                </div>
                <div class="mt-2 px-4">
                  <v-btn color="#FF4342" class="rounded elevation-0" block>
                    <p class="mb-0 white--text text-capitalize">
                      Get {{upsale.sellerDiscountId.button}} OFF
                    </p>
                  </v-btn>
                </div>
              </a>
            </div>
            <template #prevArrow="arrowOption">
              <div class="custom-arrow prev-arrow pos-relative">
                <div style="position: absolute; top: 0; left: 0">
                  <v-icon size="40px" color="#bdc3c7">
                    mdi-chevron-left
                  </v-icon>
                </div>
              </div>
            </template>
            <template #nextArrow="arrowOption">
              <div class="custom-arrow next-arrow pos-relative">
                <div style="position: absolute; top: 0; left: 0">
                  <v-icon size="40px" color="#bdc3c7">
                    mdi-chevron-right
                  </v-icon>
                </div>
              </div>
            </template>
          </VueSlickCarousel>
        </div>
      </div>
    </div>
  </div>

  <!-- Review -->
  <v-navigation-drawer
    v-model="drawerReview"
    right
    fixed
    temporary
    :style="isCheckScreenMobile ? 'width: 100%' : 'width: 480px'"
  >
    <div class="pt-10 px-7">
      <div class="d-flex align-center justify-space-between">
        <p class="mb-0 font-weight-bold fsize-20">
          {{$language.writeYourReview}}
        </p>
        <v-btn
          fab
          dark
          small
          color="#cecece"
          class="elevation-0"
          @click="drawerReview = false"
        >
          <v-icon color="#fff"> mdi-close </v-icon>
        </v-btn>
      </div>
      <div class="mt-5">
        <v-rating
          style="line-height: 19px"
          dense
          size="18"
          v-model="customerReview.rate"
          background-color="orange lighten-3"
          color="orange"
        >
        </v-rating>
        <p class="mb-0 fsize-15 font-weight-bold">{{$language.yourname}}</p>
        <v-text-field class="mt-4" v-model="customerReview.name">
        </v-text-field>
      </div>
      <div class="mt-5">
        <p class="mb-0 fsize-15 font-weight-bold">{{$language.title}}</p>
        <v-text-field class="mt-4" v-model="customerReview.title">
        </v-text-field>
      </div>
      <div class="mt-5">
        <p class="mb-0 fsize-15 font-weight-bold">
          {{$language.writeYourReview}}
        </p>
        <v-textarea class="mt-4" v-model="customerReview.content"> </v-textarea>
      </div>
      <div class="mt-3">
        <v-btn
          color="#1b1b1b"
          class="d-flex align-center elevation-0"
          height="56"
          :block="isCheckScreenMobile"
          @click="onSubmitReview()"
        >
          <span class="white--text text-none">
            {{$language.submitYourReview}}
          </span>
        </v-btn>
      </div>
    </div>
  </v-navigation-drawer>

   <v-dialog
      v-model="dialogShowImg"
      max-width="480"
     content-class="dialog-show-img"
    >
           <img
                        :src="convertImageReview(image)"
                        format="webp"
                        loading="lazy"
                        class="c-pointer"
                        style="width: 100%; height: 100%"
                      />
    </v-dialog>
</div>
